#!/usr/bin/env python3
import argparse

from server import app


def main():
    parser = argparse.ArgumentParser(description='Run Flask application.')
    parser.add_argument('--listen', dest='listen', default='localhost',
                        help='Listen on the given IP. (default=localhost)')
    parser.add_argument('--port', dest='port', default='5000', type=int,
                        help='Listen on the given port. (default=5000)')
    parser.add_argument('--debug', action='store_true',
                        help='Run in debug mode')
    args = parser.parse_args()

    app.run(host=args.listen, port=args.port, processes=1, debug=args.debug)


if __name__ == '__main__':
    main()
